### Enumeration

# AppStream VideoContainerKind

#### Declaration

    enum AppStream.VideoContainerKind

#### Description [src]

Supported video codecs.

#### Members

`AS_VIDEO_CONTAINER_KIND_UNKNOWN`

  Unknown video container.

  - Value: `0`
  - Available since: 1.0
`AS_VIDEO_CONTAINER_KIND_MKV`

  The Matroska video (MKV) container.

  - Value: `1`
  - Available since: 1.0
`AS_VIDEO_CONTAINER_KIND_WEBM`

  The WebM video container.

  - Value: `2`
  - Available since: 1.0

#### Type functions

###### as_video_container_kind_from_string

Converts the text representation to an enumerated value.

###### as_video_container_kind_to_string

Converts the enumerated value to an text representation.